Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# BpDb Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addPdbAliases
def | bp
def | bpCall
def | bpGroup
def | bpPreset
def | displayHelp
def | getFrameCodeInfo
def | makePdbAlias
def | removePdbAliases
def | resetConfig
def | set_trace
def | setConfigCallback
def | setEnabledCallback
def | toggleConfig
def | verifyConfig
def | verifyEnabled
def | verifySingleConfig
## Public Attributes
| bpMan
| cfgInfos
| codeInfoCache
| configCallback
| currFrame
| enabled
| enabledCallback
| lastBp
| pdb
| pdbAliases

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def addPdbAliases | ( |  | self | ) |

def bp | ( |  | self,
|  |  | id = `None`,
|  |  | grp = `None`,
|  |  | cfg = `None`,
|  |  | iff = `True`,
|  |  | enabled = `True`,
|  |  | test = `None`,
|  |  | frameCount = `1`
| ) |  |

def bpCall | ( |  | self,
|  |  | id = `None`,
|  |  | grp = `None`,
|  |  | cfg = `None`,
|  |  | iff = `True`,
|  |  | enabled = `True`,
|  |  | test = `None`,
|  |  | frameCount = `1`,
|  |  | onEnter = `1`,
|  |  | onExit = `0`
| ) |  |

def bpGroup | ( |  | args,
|  |  | kArgs
| ) |  |

def bpPreset | ( |  | self,
|  |  | args,
|  |  | kArgs
| ) |  |

def displayHelp | ( |  | self | ) |

def getFrameCodeInfo | ( |  | self,
|  |  | frameCount = `1`
| ) |  |

def makePdbAlias | ( |  | self,
|  |  | aliasName,
|  |  | aliasCmd
| ) |  |

def removePdbAliases | ( |  | self | ) |

def resetConfig | ( |  | self,
|  |  | cfg
| ) |  |

def set_trace | ( |  | self,
|  |  | bp,
|  |  | frameCount = `1`
| ) |  |

def setConfigCallback | ( |  | self,
|  |  | callback
| ) |  |

def setEnabledCallback | ( |  | self,
|  |  | callback
| ) |  |

def toggleConfig | ( |  | self,
|  |  | cfg
| ) |  |

def verifyConfig | ( |  | self,
|  |  | cfg
| ) |  |

def verifyEnabled | ( |  | self | ) |

def verifySingleConfig | ( |  | self,
|  |  | cfg
| ) |  |

## Member Data Documentation

bpMan

cfgInfos

codeInfoCache

configCallback

currFrame

enabled

enabledCallback

lastBp

pdb

pdbAliases

All Classes Namespaces Functions Variables Enumerations Enumerator Properties